## puppet 3.7.0

=== debian/changelog ===
puppet (3.7.0-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.7.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 03 Sep 2014 15:22:48 -0700
