## puppet 3.7.1

=== debian/changelog ===
puppet (3.7.1-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.7.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 15 Sep 2014 13:33:05 -0700
