## puppet 3.7.2

=== debian/changelog ===
puppet (3.7.2-5ubuntu2) wily; urgency=medium

  * puppetmaster-common: Suggest instead of recommending ruby-activerecord
    and ruby-activerecord-deprecated-finders (universe).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Sep 2015 20:40:13 +0200

puppet (3.7.2-5ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - fix wrong process name match in logrotate script.
    - Wait until the puppet and puppetmaster daemons are actually stopped
      before returning.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Sep 2015 12:50:52 +0200

puppet (3.7.2-5) unstable; urgency=medium

  [ Jonas Genannt ]
  * d/control: switched ruby-hiera to hiera (Closes: #781664)

  [ Apollon Oikonomopoulos ]
  * d/control: add myself to Uploaders

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 03 Jun 2015 10:34:41 +0300

puppet (3.7.2-4) unstable; urgency=medium

  * Team upload.
  * Fix service enable with new initscripts under sysvinit (Closes: #781512).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 30 Mar 2015 12:37:07 +0300

puppet (3.7.2-3) unstable; urgency=medium

  [ Apollon Oikonomopoulos ]
  * Team upload.
  * Fix service enable/disable in the Debian service provider (Closes: #775795)
  * Fix stored configs with ActiveRecord 4.x (Closes: #774643)
    + puppetmaster-common: add Recommends for stored configs
    + Mention stored configs dependencies in README.Debian. Also add a
      note for the deprecation of AR-based stored configs.
  * Preserve and honor changes in /etc/default/puppet (Closes: #778891)
    + Do not remove /etc/default/puppet on upgrade
    + Disable the agent when upgrading and START != yes
    + puppet.service: pass $DAEMON_OPTS to puppet agent. Thanks to Rik Theys!
    + Add a NEWS note about the START flag

  [ Stig Sandbeck Mathisen ]
  * Add upstream metadata

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 10 Mar 2015 14:33:45 +0200

puppet (3.7.2-2) unstable; urgency=medium

  [ Gaudenz Steinlin ]
  * [558cce5] Use /usr/sbin/service in the Debian service provider
    (Closes: #775795)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 05 Feb 2015 22:44:49 +0100

puppet (3.7.2-1ubuntu2) vivid; urgency=medium

  * fix wrong process name match in logrotate script (LP: #1410383)

 -- Bartosz Cisek <bartoszcisek@bartoszcisek.pl>  Fri, 20 Mar 2015 15:56:13 +0100

puppet (3.7.2-1ubuntu1) vivid; urgency=medium

  * Wait until the puppet and puppetmaster daemons are actually stopped
    before returning (LP: #1315021)

 -- Felipe Reyes <felipe.reyes@canonical.com>  Wed, 04 Feb 2015 11:36:12 -0300

puppet (3.7.2-1) unstable; urgency=medium

  * Imported upstream release 3.7.2
  * Declare compliance with Debian Policy 3.9.6

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 24 Oct 2014 13:47:15 +0200

puppet (3.7.1-1) unstable; urgency=medium

  * Imported upstream release 3.7.1

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 16 Sep 2014 11:10:04 +0200

puppet (3.7.0-1) unstable; urgency=medium

  * Imported upstream release 3.7.0 (CVE-2014-3248, CVE-2014-3250)
  * Do not install vendored "rgen"
  * debian/copyright: update
  * debian/control:
    - Update vcs browse url
    - Set "Testsuite:" header
    - Update package descriptions

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 07 Sep 2014 15:03:57 +0200
