## puppet 3.7.3

=== debian/changelog ===
puppet (3.7.3-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.7.3-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 03 Nov 2014 14:23:10 -0800
