## puppet 3.7.4

=== debian/changelog ===
puppet (3.7.4-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.7.4-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 26 Jan 2015 15:46:48 -0800
