## puppet 3.7.5

=== debian/changelog ===
puppet (3.7.5-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.7.5-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 25 Mar 2015 09:32:54 -0700
