## puppet 3.8.1

=== debian/changelog ===
puppet (3.8.1-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.8.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 21 May 2015 13:54:46 -0700
