## puppet 3.8.2

=== debian/changelog ===
puppet (3.8.2-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.8.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 06 Aug 2015 09:17:47 -0700
