## puppet 3.8.5

=== debian/changelog ===
puppet (3.8.5-2ubuntu0.1) xenial; urgency=medium

  * debian/patches/0008-Default-to-systemd-if-systemd.patch: systemd is
    the default service provider if it is running.  Closes LP: #1570472.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 17 Feb 2017 16:28:47 -0800

puppet (3.8.5-2) unstable; urgency=medium

  * [7b9bf62] sysvinit: fix service restart.
    Thanks to Martin Pitt (Closes: #818267)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 15 Mar 2016 12:28:44 +0100

puppet (3.8.5-1) unstable; urgency=medium

  * Imported upstream release 3.8.5
  * [0a2d3bc] autopkgtest: remove passenger/agent test

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 28 Jan 2016 10:44:16 +0100

puppet (3.8.4-1) unstable; urgency=medium

  * Imported upstream release 3.8.4 (CVE-2015-7328)
  * [7d7519b] Make the puppetmaster init script return a useful error code
    when disabled (Closes: #734852)
  * [81eb77c] Make the puppetmaster init script return error code 3 code for
    status when pidfile is missing (Closes: #738465)
  * [d4ecb19] Be consistent with /run/puppet permissions (Closes: #781791)
  * [d836fef] Use /run/puppet instead of /var/run/puppet
  * [f9d9548] puppet-common: depend on ruby-rgen (Closes: #761385)
  * [7ddba0a] Drop suggestion for transitional package librrd-ruby
  * [171a701] autopkgtest: Restrict the current tests to need
    isolation-container
  * [17c7dbb] autopkgtest: Rename current tests to large.*
  * [d02c2d8] autopkgtest: Add small tests

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 06 Nov 2015 14:29:02 +0100

puppet (3.8.3-1) unstable; urgency=medium

  * Imported upstream release 3.8.3

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 03 Oct 2015 00:08:29 +0200

puppet (3.8.2-1) unstable; urgency=medium

  * Imported upstream release 3.8.1
  * Imported upstream release 3.8.2
  * [188e76d] refresh patches with gbp pq
  * [c772e65] Fix puppetmaster logrotate bug (Closes: #780847)
  * [f116751] Import patch to fix non-ASCII user comment (Closes: #782494)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 29 Aug 2015 21:14:23 +0200
