=== debian/control ===
--- 
+++ 
@@ -29,15 +29,15 @@
  hiera,
  lsb-base,
  ruby | ruby-interpreter,
+ ruby-rgen,
  ruby-safe-yaml,
  ruby-shadow,
  sysv-rc | file-rc,
 Recommends:
  debconf-utils,
  lsb-release,
- ruby-rgen,
  ruby-selinux,
-Suggests: ruby-rrd | librrd-ruby
+Suggests: ruby-rrd
 Breaks: puppet (<< 2.7.5-3), puppetmaster (<< 0.25.4-1), ruby-hiera-puppet
 Replaces: puppet (<< 2.7.5-3), puppetmaster (<< 0.25.4-1), ruby-hiera-puppet
 Description: configuration management system
@@ -86,9 +86,9 @@
  ruby | ruby-interpreter,
 Breaks: puppet (<< 0.24.7-1), puppetmaster (<< 2.7.6-1~)
 Replaces: puppet (<< 0.24.7-1), puppetmaster (<< 2.7.6-1~)
+Recommends: ruby-activerecord,
+ ruby-activerecord-deprecated-finders
 Suggests:
- ruby-activerecord,
- ruby-activerecord-deprecated-finders,
  apache2 | nginx,
  puppet-el,
  ruby-ldap,
