## puppet 3.8.6

=== debian/changelog ===
puppet (3.8.6-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.8.6-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 03 Feb 2016 11:26:14 -0800
