## puppet 3.8.7

=== debian/changelog ===
puppet (3.8.7-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.8.7-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 25 Apr 2016 11:52:25 -0700
