## puppet 4.5.2

=== debian/changelog ===
puppet (4.5.2-1ubuntu1.1) yakkety; urgency=medium

  * debian/patches/0004-update_systemd_default_16.10.patch: Indicate
    systemd is also the default on 16.10.  Closes LP: #1570472.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 17 Feb 2017 15:57:21 -0800

puppet (4.5.2-1ubuntu1) yakkety; urgency=medium

  * Drop obsolete sysv-rc | file-rc dependency. (Closes: #829552)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 04 Jul 2016 10:25:57 +0200

puppet (4.5.2-1) unstable; urgency=medium

  * Imported upstream release 4.5.2
  * Install missing examples from debian/examples
  * Add transitional package puppet-common
  * Fix missing rewrite in default paths patch (Closes: #826745)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 17 Jun 2016 23:50:03 +0200

puppet (4.5.0-4) unstable; urgency=medium

  * Prevent a purge of puppet-common from deleting /var/lib/puppet
    (Closes: #825719)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 29 May 2016 12:53:04 +0200

puppet (4.5.0-3) unstable; urgency=medium

  * Upload puppet 4.5.0-3 to Debian unstable (Closes: #798636)
  * Summary of changes since puppet 3.8.5-2 (last version in unstable):
    * New package names:
      * "puppet" contains the puppet software.
      * "puppet-agent", "puppet-master" and "puppet-master-passenger" starts
        services.
      * "vim-puppet" and "puppet-el" have been removed, and will be repackaged
        from separate sources.
    * activerecord stored configurations is no longer supported
    * etckeeper integration is no longer installed by default

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 28 May 2016 13:34:25 +0200

puppet (4.5.0-2) experimental; urgency=medium

  * Changes for hiera:
    * Use /etc/puppet/hiera.yaml as configuration file
    * Use /etc/puppet/code/hiera/ as default datadir
  * Update debian/NEWS
  * Add an example environment

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 27 May 2016 22:13:59 +0200

puppet (4.5.0-1) experimental; urgency=medium

  * Imported upstream release 4.5.0
  * Set default basemodulepath to include /usr/share/puppet/modules

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 20 May 2016 20:09:20 +0200

puppet (4.4.2-1) experimental; urgency=medium

  * Imported upstream release 4.4.2
  * New package names
  * Removed activerecord stored configurations
  * Removed default etckeeper integration
  * Removed packages vim-puppet, puppet-el, puppet-testsuite
  * Add an initial hiera.yaml

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 18 May 2016 22:57:49 +0200
