=== debian/control ===
Source: puppet
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Micah Anderson <micah@debian.org>,
 Andrew Pollock <apollock@debian.org>,
 Nigel Kersten <nigel@explanatorygap.net>,
 Stig Sandbeck Mathisen <ssm@debian.org>,
 Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-systemd,
 facter,
 rake,
 hiera,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-puppet/puppet.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-puppet/puppet.git
Homepage: https://github.com/puppetlabs/puppet
Testsuite: autopkgtest

Package: puppet
Architecture: all
Depends: ${misc:Depends},
 adduser,
 facter,
 ruby-augeas,
 hiera,
 lsb-base,
 ruby | ruby-interpreter,
 ruby-deep-merge,
 ruby-rgen,
 ruby-safe-yaml,
 ruby-shadow,
Recommends:
 debconf-utils,
 lsb-release,
 ruby-selinux,
Suggests: ruby-rrd
Breaks: puppet-common (<< 4.5.1-1)
Replaces: puppet-common (<< 4.5.1-1)
Description: configuration management system
 Puppet is a configuration management system that allows you to define
 the state of your IT infrastructure, then automatically enforces the
 correct state.
 .
 This package contains the puppet software and documentation.
 .
 To automatically start a puppet agent, install the "puppet-agent"
 package. To install and configure a puppet master, install one of the
 "puppet-master" or "puppet-master-passenger" packages.

Package: puppet-agent
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, puppet (= ${binary:Version})
Description: configuration management system, agent
 Puppet is a configuration management system that allows you to define
 the state of your IT infrastructure, then automatically enforces the
 correct state.
 .
 This package contains a "puppet-agent" service and init script used
 to run the puppet agent as a service. The "puppet" package contains
 the software.

Package: puppet-master
Architecture: all
Depends: ${misc:Depends},
 puppet (= ${source:Version}),
 ruby | ruby-interpreter,
Breaks: puppetmaster (<< 4.4.0-1)
Replaces: puppetmaster (<< 4.4.0-1)
Description: configuration management system, master service
 Puppet is a configuration management system that allows you to define
 the state of your IT infrastructure, then automatically enforces the
 correct state.
 .
 This package contains the "puppet-master" service and init script,
 which is suitable for small deployments.

Package: puppet-master-passenger
Architecture: all
Depends: ${misc:Depends},
 apache2,
 libapache2-mod-passenger,
 lsb-base,
 puppet (= ${source:Version}),
 ruby | ruby-interpreter,
Breaks: puppetmaster-passenger (<< 4.4.0-1)
Replaces: puppetmaster-passenger (<< 4.4.0-1)
Description: configuration management system, scalable master service
 Puppet is a configuration management system that allows you to define
 the state of your IT infrastructure, then automatically enforces the
 correct state.
 .
 This package provides configuration for apache2 with mod_passenger,
 suitable for large deployments. This offers better scalability than
 the "puppet-master" package.

Package: puppet-common
Depends: puppet, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
