=== debian/tests/control ===
Test-Command: cd debian/tests && rspec spec/puppet/*_spec.rb
Depends: puppet,ruby-serverspec
Restrictions: needs-root,isolation-container

Test-Command: cd debian/tests && rspec spec/puppet-agent/*_spec.rb
Depends: puppet-agent,ruby-serverspec
Restrictions: needs-root,isolation-container

Test-Command: cd debian/tests && rspec spec/puppet-master/*_spec.rb
Depends: puppet-master,ruby-serverspec
Restrictions: needs-root,isolation-container

Test-Command: cd debian/tests && rspec spec/puppet-master-passenger/*_spec.rb
Depends: puppet-master-passenger,ruby-serverspec
Restrictions: needs-root,isolation-container
