## puppet 4.8.2

=== debian/changelog ===
puppet (4.8.2-5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Switch the default service provider to `debian' and fix SysV service
    enable/disable under systemd.
  * d/tests: compability with Jessie
    + compatibility with Jessie's serverspec.
    + do not test the systemd service provider.
    + reload systemd after installing units.
    + do not use systemctl is-enabled/is-active to check service status, rely
      on the status files instead.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 25 May 2017 11:12:45 +0300

puppet (4.8.2-5) unstable; urgency=high

  * master: accept facts only in PSON format (CVE-2017-2295) (Closes:
    #863212).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 23 May 2017 23:17:46 +0300

puppet (4.8.2-4) unstable; urgency=medium

  * Handle creation and removal of /var/cache/puppet/state (Closes: #855923)
  * Add Breaks against old facter versions; facter before 2.4.0 uses a
    deprecated Puppet settings API making `facter --puppet` no longer work with
    Puppet 4.
  * puppet-common: stop the puppet service in preinst when upgrading from
    Puppet 3. Fixes upgrade on sysvinit systems running the puppet agent.
    (Closes: #859454)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 28 Apr 2017 17:38:26 +0300

puppet (4.8.2-3) unstable; urgency=medium

  * Mark systemd as the default service provider for Debian. If the system is
    not running on systemd, puppet will automatically fall back to the
    "debian" service provider.
  * Again patch the "debian" service provider as in 3.7.2-3, to strip the
    sysv-rc check (Closes: #854680) and use systemctl to enable/disable
    services on systemd-booted systems.
  * Use /usr/sbin/service for starting/stopping/restarting services in the
    debian provider, to ensure the provider works with all init systems and
    does not call the initscripts directly. Patch by Gaudenz Steinlin,
    originally included in 3.7.2-2.
  * Add DEP-8 tests for basic operations on services (enable/disable,
    start/stop) backed by initscripts and/xor systemd units, on both systemd
    and sysvinit, with all applicable providers (default, systemd and debian).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 15 Feb 2017 14:23:21 +0200

puppet (4.8.2-2) unstable; urgency=high

  * Do not enable the puppet service by default on fresh installs
    (Closes: #854487).
    + Preserve the agent lock on upgrade from 3.x to safeguard upgrades from
      Jessie systems where puppet was installed but never used.
  * Update the DEP-8 tests to check that the service is disabled.
  * Strip the agent locking logic from puppet.preinst now that we disable the
    service by default.
  * Add a debian/NEWS entry documenting the disabled service.
  * Update the information in README.Debian and remove the (now obsolete)
    paragraph about stored configs.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 08 Feb 2017 15:24:55 +0200

puppet (4.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 23 Jan 2017 14:39:14 +0200

puppet (4.8.1-3) unstable; urgency=medium

  * puppet-master: handle puppetmaster service and conffile rename
    + try to preserve puppetmaster.service's state in puppet-master.service
    + migrate user changes from puppetmaster's config files
  * puppetmaster: drop all configfiles using dpkg-maintscript-helper
  * Drop the puppet-agent package (Closes: #826730, #827867)
    + Rename the puppet-agent service back to puppet and preserve state on
      upgrades
  * puppet-master: point to puppet-master-passenger for Puppet 3 support in
    extended description
  * puppet-master-passenger: migrate the apache2 site from
    puppetmaster-passenger installations
  * puppet: add missing Breaks/Depends against puppetmaster-common
  * puppet: remove extra license file
  * d/copyright: update copyright information

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 18 Jan 2017 21:57:44 +0200

puppet (4.8.1-2) unstable; urgency=medium

  * Add transitional packages for puppetmaster and puppetmaster-passenger.
  * Add Puppet 3 client compatibility when the master is run under a
    rack server (Closes: #832536). Input by James Cowgill and Christos
    Trochalakis, thanks!
  * Add DEP-8 tests for Puppet 3 client compatibility using serverspec.
  * Add a NEWS entry documenting Puppet 3 client compatibility.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 11 Jan 2017 20:22:17 +0200

puppet (4.8.1-1) unstable; urgency=medium

  * Imported upstream release 4.8.1 (Closes: #844414)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 30 Nov 2016 20:24:55 +0100

puppet (4.8.0-1) unstable; urgency=medium

  * Imported upstream release 4.8.0

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 02 Nov 2016 21:17:39 +0100

puppet (4.7.0-1) unstable; urgency=medium

  * Imported upstream release 4.7.0
  * Add dependency on lsb-base for init scripts

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 01 Nov 2016 20:49:34 +0100
