=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: puppet
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
+Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Micah Anderson <micah@debian.org>,
  Andrew Pollock <apollock@debian.org>,
  Nigel Kersten <nigel@explanatorygap.net>,
@@ -38,46 +37,47 @@
  lsb-release,
  ruby-selinux,
 Suggests: ruby-rrd
-Breaks: puppet-common (<< 4.5.1-1)
-Replaces: puppet-common (<< 4.5.1-1)
+Breaks: puppet-common (<< 4.5.1-1),
+        puppetmaster-common (<< 4.4.2-1~),
+        puppet-agent (<< 4.8.1-3~),
+        facter (<< 2.4.0~)
+Replaces: puppet-common (<< 4.5.1-1),
+        puppetmaster-common (<< 4.4.2-1~)
 Description: configuration management system
  Puppet is a configuration management system that allows you to define
  the state of your IT infrastructure, then automatically enforces the
  correct state.
  .
- This package contains the puppet software and documentation.
+ This package contains the puppet agent software and documentation.
  .
- To automatically start a puppet agent, install the "puppet-agent"
- package. To install and configure a puppet master, install one of the
+ To install and configure a puppet master, install one of the
  "puppet-master" or "puppet-master-passenger" packages.
-
-Package: puppet-agent
-Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, puppet (= ${binary:Version})
-Description: configuration management system, agent
- Puppet is a configuration management system that allows you to define
- the state of your IT infrastructure, then automatically enforces the
- correct state.
- .
- This package contains a "puppet-agent" service and init script used
- to run the puppet agent as a service. The "puppet" package contains
- the software.
 
 Package: puppet-master
 Architecture: all
 Depends: ${misc:Depends},
  puppet (= ${source:Version}),
  ruby | ruby-interpreter,
-Breaks: puppetmaster (<< 4.4.0-1)
-Replaces: puppetmaster (<< 4.4.0-1)
+ lsb-base (>= 3.0-6),
+Breaks: puppetmaster (<< 4.8.1-3)
+Replaces: puppetmaster (<< 4.8.1-3)
 Description: configuration management system, master service
  Puppet is a configuration management system that allows you to define
  the state of your IT infrastructure, then automatically enforces the
  correct state.
  .
  This package contains the "puppet-master" service and init script,
- which is suitable for small deployments.
+ which is suitable for small deployments. For larger deployments or if you wish
+ to support Puppet 3 clients, puppet-master-passenger should be used instead.
+
+Package: puppetmaster
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends: ${misc:Depends}, puppet-master
+Description: configuration management system, master service - transitional package
+ This is a transitional package, superseded by puppet-master. It can safely be
+ removed.
 
 Package: puppet-master-passenger
 Architecture: all
@@ -98,6 +98,15 @@
  suitable for large deployments. This offers better scalability than
  the "puppet-master" package.
 
+Package: puppetmaster-passenger
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends: ${misc:Depends}, puppet-master-passenger
+Description: configuration management system, scalable master service - transitional package
+ This is a transitional package, superseded by puppet-master-passenger. It can
+ safely be removed.
+
 Package: puppet-common
 Depends: puppet, ${misc:Depends}
 Architecture: all
