=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 		--ruby=/usr/bin/ruby
 	rm -vfr debian/tmp/usr/lib/ruby/vendor_ruby/puppet/vendor/rgen/
 	rm -vfr debian/tmp/usr/lib/ruby/vendor_ruby/puppet/vendor/deep_merge/
+	rm -vfr debian/tmp/usr/lib/ruby/vendor_ruby/puppet/vendor/pathspec/LICENSE
 
 override_dh_install:
 	dh_install --fail-missing -Xusr/share/man
@@ -34,3 +35,7 @@
 
 override_dh_clean:
 	dh_clean debian/puppet-common.logcheck.ignore.server metadata.yml
+
+override_dh_systemd_enable:
+	dh_systemd_enable -ppuppet --no-enable
+	dh_systemd_enable --remaining-packages
